# Class RenameArguments

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.RefactoringArguments
org.eclipse.ltk.core.refactoring.participants.RenameArguments

public class RenameArguments extends RefactoringArguments
Rename arguments describe the data that a processor provides to its rename participants.

This class may be subclassed by refactoring processors wishing to provide special rename arguments for special participants.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`RenameArguments(String newName, boolean updateReferences)`
Creates new rename arguments.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNewName()`
Returns the new element name.
`boolean`
`getUpdateReferences()`
Returns whether reference updating is requested or not.
`String`
`toString()`
Returns a string representation of these arguments suitable for debugging purposes only.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RenameArguments

public RenameArguments(String newName, boolean updateReferences)
Creates new rename arguments.

Parameters:
  `newName` - the new name of the element to be renamed
  `updateReferences` - `true` if reference updating is requested; `false` otherwise

## Method Details

### getNewName

public String getNewName()
Returns the new element name.

Returns:
  the new element name

### getUpdateReferences

public boolean getUpdateReferences()
Returns whether reference updating is requested or not.

Returns:
  returns `true` if reference updating is requested; `false` otherwise

### toString

public String toString()
Returns a string representation of these arguments suitable for debugging purposes only.

Subclasses should reimplement this method.

Overrides:
  `toString` in class `RefactoringArguments`
Returns:
  a debug string
Since:
  3.2